#!/bin/bash
# Copyright (C) 2008 - 2012 vortexbox.org
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#

if [ -f /opt/vortexbox/fix_audio.sh ]
 then
	/opt/vortexbox/fix_audio.sh 
fi

for i in {0..4}
do
    /usr/bin/amixer set Master unmute --card=$i >/dev/null 2>&1
    /usr/bin/amixer set Front unmute --card=$i >/dev/null 2>&1
    /usr/bin/amixer set PCM unmute --card=$i >/dev/null 2>&1
    /usr/bin/amixer set Headphone unmute --card=$i >/dev/null 2>&1

    /usr/bin/amixer set Surround unmute --card=$i >/dev/null 2>&1
    /usr/bin/amixer set Side unmute --card=$i >/dev/null 2>&1
    /usr/bin/amixer set Center unmute --card=$i >/dev/null 2>&1
	/usr/bin/amixer set LFE unmute --card=$i >/dev/null 2>&1
	
	/usr/bin/amixer set 'Channel Mode' 6ch --card=$i >/dev/null 2>&1
	/usr/bin/amixer set IEC958 unmute --card=$i >/dev/null 2>&1

	/usr/bin/amixer set Speaker 256 unmute --card=$i >/dev/null 2>&1
	/usr/bin/amixer sset "Auto Gain Control" off --card=$i  >/dev/null 2>&1
	/usr/bin/amixer sset "Loudness" off --card=$i >/dev/null 2>&1

	/usr/bin/amixer set 'SOtM Clock Selector',0 127 unmute --card=$i >/dev/null 2>&1
	/usr/bin/amixer set 'SOtM Clock Selector',1 127 unmute --card=$i  >/dev/null 2>&1
	/usr/bin/amixer set 'exD Clock Selector',0 127 unmute --card=$i >/dev/null 2>&1
	/usr/bin/amixer set 'exD Clock Selector',1 127 unmute --card=$i >/dev/null 2>&1
	/usr/bin/amixer set 'AMR Clock Selector',0 127 unmute --card=$i >/dev/null 2>&1
	/usr/bin/amixer set 'AMR Clock Selector',1 127 unmute --card=$i >/dev/null 2>&1
	/usr/bin/amixer set 'XMOS Clock Selector',0 127 unmute --card=$i >/dev/null 2>&1
	/usr/bin/amixer set 'XMOS Clock Selector',1 127 unmute --card=$i >/dev/null 2>&1
	/usr/bin/amixer set 'M2Tech Clock Selector',0 127 unmute --card=$i >/dev/null 2>&1
	/usr/bin/amixer set 'M2Tech Clock Selector',1 127 unmute --card=$i >/dev/null 2>&1
	/usr/bin/amixer set 'Wyred 4 Sound Clock Selector Playback Switc',0 127 unmute --card=$i >/dev/null 2>&1
	/usr/bin/amixer set 'Wyred 4 Sound Clock Selector Playback Switc',1 127 unmute --card=$i >/dev/null 2>&1

done

/sbin/alsactl store
